Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.validation
Class ListOfValuesValidator

    java.lang.Object
      com.jaspersoft.jasperserver.war.validation.ListOfValuesValidator

All Implemented Interfaces:
  org.springframework.validation.Validator

    public class ListOfValuesValidator

extends java.lang.Object
implements org.springframework.validation.Validator

Version:
  $Id: ListOfValuesValidator.java 10178 2007-09-20 13:57:21Z lucian $
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)

Constructor Summary
`ListOfValuesValidator()`

Method Summary
`RepositoryService` | `getRepository()`
`void` | `setRepository(RepositoryService repository)`
`boolean` | `supports(java.lang.Class klass)`
`void` | `validate(java.lang.Object object, org.springframework.validation.Errors errors)`
`void` | `validateAddValue(ListOfValuesDTO listOfValuesDTO, org.springframework.validation.Errors errors)`
`void` | `validateLovSave(ListOfValuesDTO listOfValuesDTO, org.springframework.validation.Errors errors)`
`void` | `validateResourceData(ListOfValuesDTO listOfValuesDTO, org.springframework.validation.Errors errors)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListOfValuesValidator

    public ListOfValuesValidator()

Method Detail

### getRepository

    public RepositoryService getRepository()

### setRepository

    public void setRepository(RepositoryService repository)

### supports

    public boolean supports(java.lang.Class klass)

  Specified by:
    `supports` in interface `org.springframework.validation.Validator`

### validate

    public void validate(java.lang.Object object,
                         org.springframework.validation.Errors errors)

  Specified by:
    `validate` in interface `org.springframework.validation.Validator`

### validateResourceData

    public void validateResourceData(ListOfValuesDTO listOfValuesDTO,
                                     org.springframework.validation.Errors errors)

### validateAddValue

    public void validateAddValue(ListOfValuesDTO listOfValuesDTO,
                                 org.springframework.validation.Errors errors)

### validateLovSave

    public void validateLovSave(ListOfValuesDTO listOfValuesDTO,
                                org.springframework.validation.Errors errors)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.